light-mode-image
Learn
API ReferenceGeneral

Retrieve specific RICAL

Analytics Events

ECOSYSTEM_RICAL_RETRIEVE_STARTECOSYSTEM_RICAL_RETRIEVE_SUCCESSECOSYSTEM_RICAL_RETRIEVE_FAIL
GET/v1/ecosystems/{ecosystemId}/ricals/public/{ricalIssueId}

Retrieves a specific RICAL from the requested ecosystem by providing the RICAL version identifier.

The response is a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5.

This endpoint is intended for public consumption, and as such does not require authentication.

Analytic events

  • ECOSYSTEM_RICAL_RETRIEVE_START
  • ECOSYSTEM_RICAL_RETRIEVE_SUCCESS
  • ECOSYSTEM_RICAL_RETRIEVE_FAIL

Path Parameters

ecosystemId*string

The UUID of the ecosystem

Formatuuid
ricalIssueId*integer

Unique identifier of a specific RICAL version. This numeric value is continuously increased whenever a RICAL is created.

Formatint32

Response Body

application/cbor

application/json

curl -X GET "https://example.com/v1/ecosystems/497f6eca-6276-4993-bfeb-53cbbbba6f08/ricals/public/0"
"string"

How would you rate this page?